This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315307 - (epel6-libarchive3) Review Request: libarchive3 - A library for handling streaming archive formats
Review Request: libarchive3 - A library for handling streaming archive formats
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel-cmake3
  Show dependency treegraph
 
Reported: 2016-03-07 07:48 EST by Björn "besser82" Esser
Modified: 2016-04-10 09:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-10 09:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Björn "besser82" Esser 2016-03-07 07:48:19 EST
Description:

  Libarchive is a programming library that can create and read several
  different streaming archive formats, including most popular tar variants,
  several cpio formats, and both BSD and GNU ar variants.  It can also write
  shar archives and read ISO9660 CDROM images and ZIP archives.


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/libarchive3.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/libarchive3-3.1.2-1.el6.src.rpm


Additional Information:

  This is a compat-package for epel6, needed for CMake >= 3.  It's not
  intended to be build on any release of Fedora.

  The spec-file is (except for a few naming-changes taken from Fedora's
  CMake master-branch.


Thanks for review in advance!
Comment 1 Björn "besser82" Esser 2016-03-07 07:52:58 EST
Scratch-build (epel6):  https://koji.fedoraproject.org/koji/taskinfo?taskID=13259190
Comment 2 Antonio Trande 2016-03-07 09:42:38 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- bsdtar3 and bsdcpio3 must require main package, all arch-ed:

Requires:       %{name}%{?_isa} = %{version}-%{release}

==== Additional issue =====

- Library and binary files are No RELRO and with PIE disabled.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "MIT/X11 (BSD
     like)", "*No copyright* Public domain", "BSD (3 clause)", "BSD (2
     clause)". 32 files have unknown license. Detailed output of
     licensecheck in
     /home/sagitter/FedoraReview/1315307-libarchive3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 9 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in bsdtar3
     , bsdcpio3 , libarchive3-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libarchive3-3.1.2-1.el6.x86_64.rpm
          libarchive3-devel-3.1.2-1.el6.x86_64.rpm
          bsdtar3-3.1.2-1.el6.x86_64.rpm
          bsdcpio3-3.1.2-1.el6.x86_64.rpm
          libarchive3-debuginfo-3.1.2-1.el6.x86_64.rpm
          libarchive3-3.1.2-1.el6.src.rpm
libarchive3.x86_64: W: spelling-error %description -l en_US Libarchive -> Lib archive, Lib-archive, Archive
libarchive3.x86_64: W: spelling-error %description -l en_US cpio -> CPI
libarchive3.x86_64: W: spelling-error %description -l en_US ar -> AR, Ar, at
libarchive3.x86_64: W: spelling-error %description -l en_US shar -> share, shear, shard
libarchive3.x86_64: W: shared-lib-calls-exit /usr/lib64/libarchive.so.13.1.2 exit@GLIBC_2.2.5
libarchive3-devel.x86_64: W: only-non-binary-in-usr-lib
bsdtar3.x86_64: W: spelling-error %description -l en_US bsdtar -> bastard
bsdtar3.x86_64: W: spelling-error %description -l en_US libarchive -> lib archive, lib-archive, archive
bsdcpio3.x86_64: W: spelling-error %description -l en_US bsdcpio 
bsdcpio3.x86_64: W: spelling-error %description -l en_US libarchive -> lib archive, lib-archive, archive
libarchive3.src: W: spelling-error %description -l en_US Libarchive -> Lib archive, Lib-archive, Archive
libarchive3.src: W: spelling-error %description -l en_US cpio -> CPI
libarchive3.src: W: spelling-error %description -l en_US ar -> AR, Ar, at
libarchive3.src: W: spelling-error %description -l en_US shar -> share, shear, shard
6 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libarchive3-debuginfo-3.1.2-1.el6.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
rpmdb: /var/lib/rpm/Name: unexpected file type or format
error: cannot open Name index using db3 - Invalid argument (22)
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading libarchive3-devel: 'libarchive3-devel'
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading bsdcpio3: 'bsdcpio3'
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading libarchive3-debuginfo: 'libarchive3-debuginfo'
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading bsdtar3: 'bsdtar3'
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading libarchive3: 'libarchive3'
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
libarchive3-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libarchive.so.13()(64bit)
    libarchive3(x86-64)

bsdcpio3 (rpmlib, GLIBC filtered):
    libacl.so.1()(64bit)
    libarchive.so.13()(64bit)
    libarchive3
    libattr.so.1()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    liblzma.so.0()(64bit)
    liblzo2.so.2()(64bit)
    libm.so.6()(64bit)
    libxml2.so.2()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

libarchive3-debuginfo (rpmlib, GLIBC filtered):

bsdtar3 (rpmlib, GLIBC filtered):
    libacl.so.1()(64bit)
    libarchive.so.13()(64bit)
    libarchive3
    libattr.so.1()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    liblzma.so.0()(64bit)
    liblzo2.so.2()(64bit)
    libm.so.6()(64bit)
    libxml2.so.2()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

libarchive3 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libacl.so.1()(64bit)
    libacl.so.1(ACL_1.0)(64bit)
    libarchive.so.13()(64bit)
    libattr.so.1()(64bit)
    libattr.so.1(ATTR_1.0)(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    liblzma.so.0()(64bit)
    liblzo2.so.2()(64bit)
    libm.so.6()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.5.0)(64bit)
    libxml2.so.2(LIBXML2_2.5.2)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    libxml2.so.2(LIBXML2_2.6.5)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
libarchive3-devel:
    libarchive3-devel
    libarchive3-devel(x86-64)
    pkgconfig(libarchive3)

bsdcpio3:
    bsdcpio3
    bsdcpio3(x86-64)

libarchive3-debuginfo:
    libarchive3-debuginfo
    libarchive3-debuginfo(x86-64)

bsdtar3:
    bsdtar3
    bsdtar3(x86-64)

libarchive3:
    libarchive.so.13()(64bit)
    libarchive3
    libarchive3(x86-64)



Source checksums
----------------
http://www.libarchive.org/downloads/libarchive-3.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : eb87eacd8fe49e8d90c8fdc189813023ccc319c5e752b01fb6ad0cc7b2c53d5e
  CHECKSUM(SHA256) upstream package : eb87eacd8fe49e8d90c8fdc189813023ccc319c5e752b01fb6ad0cc7b2c53d5e


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m epel-6-x86_64 --plugins EPEL6:on -b 1315307
Buildroot used: epel-6-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Björn "besser82" Esser 2016-03-07 11:01:36 EST
(In reply to Antonio Trande from comment #2)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> 
> - bsdtar3 and bsdcpio3 must require main package, all arch-ed:
> 
> Requires:       %{name}%{?_isa} = %{version}-%{release}

It's not necessary, since they already have an arch'ed requirement on `libarchive.so.13()(64bit)`, so requiring libarch3 = %{version}-%{release} is guranteed to pull in the correct arch and NVR…  Anyways, can I fix that during import?


> ==== Additional issue =====
> 
> - Library and binary files are No RELRO and with PIE disabled.

Same as with cmake3…  There is no default PIE / PIC binaries nor read-only relocation-linking on epel6 / 7.
Comment 4 Antonio Trande 2016-03-07 11:08:18 EST
Package approved.
Comment 5 Björn "besser82" Esser 2016-03-07 11:12:43 EST
Thank you for the careful review, Antonio.  ^^  If you want to co-maintain, feel free to request ACLs, when the package is created…
Comment 6 Gwyn Ciesla 2016-03-07 14:08:52 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libarchive3
Comment 7 Björn "besser82" Esser 2016-03-07 15:00:00 EST
Package is built, buildroot-override is tagged long enough to have it available until it hits the release-repo.
Comment 8 Fedora Update System 2016-03-07 15:00:44 EST
libarchive3-3.1.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 9 Fedora Update System 2016-03-09 18:18:59 EST
libarchive3-3.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 10 Fedora Update System 2016-03-10 18:06:46 EST
jsoncpp-0.6.0-0.9.rc2.el6 libarchive3-3.1.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 11 Fedora Update System 2016-03-12 10:49:58 EST
cmake3-3.5.0-2.1.el6, jsoncpp-0.6.0-0.9.rc2.el6, libarchive3-3.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 12 Fedora Update System 2016-03-25 07:41:00 EDT
cmake3-3.5.1-1.el6 jsoncpp-0.6.0-0.9.rc2.el6 libarchive3-3.1.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 13 Fedora Update System 2016-03-26 10:18:03 EDT
cmake3-3.5.1-1.el6, jsoncpp-0.10.5-1.el6, libarchive3-3.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 14 Fedora Update System 2016-04-10 09:24:57 EDT
cmake3-3.5.1-1.el6, jsoncpp-0.10.5-1.el6, libarchive3-3.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.